Package twisted :: Package spread :: Module pb :: Class _PortalAuthChallenger |
[frames | no frames]

## Class _PortalAuthChallenger

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       _PortalAuthChallenger

Called with response to password challenge.

Method Summary
| `__init__(self, portalWrapper, username, challenge)`
| `_loggedIn(self, (interface, perspective, logout))`
| `checkMD5Password(self, md5Password)`
| `checkPassword(self, password)`
| `remote_respond(self, response, mind)`
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`tuple` | `__implements__` = `(<class twisted.cred.credentials.IUsern...`
Inherited from Referenceable
`NoneType` | `perspective` = None

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class twisted.cred.credentials.IUsernameHashedPassword at 0x845396c>\
        ,
         <class twisted.spread.pb.IUsernameMD5Password at 0x84c9604>)

Generated by Epydoc 2.0 on Sat Oct 25 00:54:56 2003 | http://epydoc.sf.net